<?xml version="1.0" encoding="utf-8" ?>
<module name="GenericPolygonTarget">
  <include module="Core"/>
  <include module="IO"/>
  <include module="Geom"/>
  <include module="Scene"/>
  <include module="Algo"/>

  <function name="s3File_with_arguments" scriptable="true" guiable="true" scriptFile="genericPolygonTarget_main.py">
    <parameters>
      <parameter name="input_s3_bucket_name" type="String"  description="Input S3 Bucket name"/>
      <parameter name="input_s3_region" type="String"  description="Input S3 Bucket region"/>
      <parameter name="input_s3_key" type="FilePath" description="S3 input file path from"/>
      <parameter name="get_s3_file_dependencies" type="Boolean"  description="download  main object's root folder content"/>
      <parameter name="output_s3_bucket_name" type="String"  description="Ouput S3 Bucket name"/>
      <parameter name="output_s3_region" type="String"  description="Ouput S3 Bucket region"/>
      <parameter name="output_s3_key" type="FilePath" description="S3 output file path"/>
      <parameter name="polygon_count_target" type="Int"  description="Polycount target to reach"/>
      <parameter name="do_merge" type="Boolean" description="Optimize product structure"/>
      <parameter name="do_delete_objects" type="Boolean" description="If target is not reached with simple mesh optimization, remove hidden parts, small parts..."/>
      <parameter name="useGpuAcceleration" type="Boolean"  description="If true, remove hidden parts algorithm will use GPU acceleration (requires a GPU on the machine)"/>
    </parameters>
  </function>
   <function name="s3File_with_env_var" scriptable="true" guiable="true" scriptFile="genericPolygonTarget_main.py">
  </function>
  <function name="localFile" scriptable="true" guiable="true" scriptFile="genericPolygonTarget_main.py">
    <parameters>
      <parameter name="file" type="FilePath" description="Input file"/>
      <parameter name="outputPath" type="FilePath" description="Output file path"/>
      <parameter name="polygon_count_target" type="Int" default="100000" description="Polycount target to reach"/>
      <parameter name="do_merge" type="Boolean" description="Optimize product structure"/>
      <parameter name="do_delete_objects" type="Boolean" description="If target is not reached with simple mesh optimization, remove hidden parts, small parts..."/>
      <parameter name="useGpuAcceleration" type="Boolean" description="If true, remove hidden parts algorithm will use GPU acceleration (requires a GPU on the machine)" state="Stable"/>
    </parameters>
  </function>
</module>